Create Calendar Resource
Create calendar resource by resource type
POST
/
calendars
/
resources
/
{resourceType}
Create Calendar Resource
curl --request POST \
--url https://services.leadconnectorhq.com/calendars/resources/{resourceType} \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 123,
"outOfService": 123,
"capacity": 123,
"calendarIds": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '<string>',
name: '<string>',
description: '<string>',
quantity: 123,
outOfService: 123,
capacity: 123,
calendarIds: ['<string>']
})
};
fetch('https://services.leadconnectorhq.com/calendars/resources/{resourceType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/resources/{resourceType}"
payload = {
"locationId": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 123,
"outOfService": 123,
"capacity": 123,
"calendarIds": ["<string>"]
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"locationId": "<string>",
"name": "yoga room",
"resourceType": "equipments",
"isActive": true,
"calendarIds": [
"Jsj0xnlDDjw0SuvX1J13",
"oCM5feFC86FAAbcO7lJK"
],
"description": "<string>",
"quantity": 123,
"outOfService": 0,
"capacity": 85
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Path Parameters
Body
application/json
Response
Calendar resource created
Last modified on March 8, 2026
Was this page helpful?
Create Calendar Resource
curl --request POST \
--url https://services.leadconnectorhq.com/calendars/resources/{resourceType} \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 123,
"outOfService": 123,
"capacity": 123,
"calendarIds": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '<string>',
name: '<string>',
description: '<string>',
quantity: 123,
outOfService: 123,
capacity: 123,
calendarIds: ['<string>']
})
};
fetch('https://services.leadconnectorhq.com/calendars/resources/{resourceType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/resources/{resourceType}"
payload = {
"locationId": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 123,
"outOfService": 123,
"capacity": 123,
"calendarIds": ["<string>"]
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"locationId": "<string>",
"name": "yoga room",
"resourceType": "equipments",
"isActive": true,
"calendarIds": [
"Jsj0xnlDDjw0SuvX1J13",
"oCM5feFC86FAAbcO7lJK"
],
"description": "<string>",
"quantity": 123,
"outOfService": 0,
"capacity": 85
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}